Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.classloading
Class FMLForgePlugin

    java.lang.Object
      net.minecraftforge.classloading.FMLForgePlugin

All Implemented Interfaces:
  IFMLLoadingPlugin

    public class FMLForgePlugin

extends Object
implements IFMLLoadingPlugin

Nested Class Summary

Nested classes/interfaces inherited from interface cpw.mods.fml.relauncher.IFMLLoadingPlugin
`IFMLLoadingPlugin.TransformerExclusions`

Constructor Summary
`FMLForgePlugin()`

Method Summary
`String[]` | `getASMTransformerClass()` Return a list of classes that implements the IClassTransformer interface
`String[]` | `getLibraryRequestClass()` Return a list of classes that implement the ILibrarySet interface
`String` | `getModContainerClass()` Return a class name that implements "ModContainer" for injection into the mod list The "getName" function should return a name that other mods can, if need be, depend on.
`String` | `getSetupClass()` Return the class name of an implementor of "IFMLCallHook", that will be run, in the main thread, to perform any additional setup this coremod may require.
`void` | `injectData(Map<String,Object> data)` Inject coremod data into this coremod This data includes: "mcLocation" : the location of the minecraft directory, "coremodList" : the list of coremods "coremodLocation" : the file this coremod loaded from,

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FMLForgePlugin

    public FMLForgePlugin()

Method Detail

### getLibraryRequestClass

    public String[] getLibraryRequestClass()

  Description copied from interface: `IFMLLoadingPlugin`
  Return a list of classes that implement the ILibrarySet interface

  Specified by:
    `getLibraryRequestClass` in interface `IFMLLoadingPlugin`
  Returns:
    a list of classes that implement the ILibrarySet interface

### getASMTransformerClass

    public String[] getASMTransformerClass()

  Description copied from interface: `IFMLLoadingPlugin`
  Return a list of classes that implements the IClassTransformer interface

  Specified by:
    `getASMTransformerClass` in interface `IFMLLoadingPlugin`
  Returns:
    a list of classes that implements the IClassTransformer interface

### getModContainerClass

    public String getModContainerClass()

  Description copied from interface: `IFMLLoadingPlugin`
  Return a class name that implements "ModContainer" for injection into the mod list The "getName" function should return a name that other mods can, if need be, depend on. Trivially, this modcontainer will be loaded before all regular mod containers, which means it will be forced to be "immutable" - not susceptible to normal sorting behaviour. All other mod behaviours are available however- this container can receive and handle normal loading events

  Specified by:
    `getModContainerClass` in interface `IFMLLoadingPlugin`

### getSetupClass

    public String getSetupClass()

  Description copied from interface: `IFMLLoadingPlugin`
  Return the class name of an implementor of "IFMLCallHook", that will be run, in the main thread, to perform any additional setup this coremod may require. It will be run prior to Minecraft starting, so it CANNOT operate on minecraft itself. The game will deliberately crash if this code is detected to trigger a minecraft class loading (TODO: implement crash ;) )

  Specified by:
    `getSetupClass` in interface `IFMLLoadingPlugin`

### injectData

    public void injectData(Map<String,Object> data)

  Description copied from interface: `IFMLLoadingPlugin`
  Inject coremod data into this coremod This data includes: "mcLocation" : the location of the minecraft directory, "coremodList" : the list of coremods "coremodLocation" : the file this coremod loaded from,

  Specified by:
    `injectData` in interface `IFMLLoadingPlugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD